microsoft-foundry.rest.security.o-auth2-auth
Deployments
List deployments
GET
/deployments
Returns the deployed models available in the current project, optionally filtered by publisher, model name, or deployment type.
查询参数
api-version
string
必需
The API version to use for this operation.
modelPublisher
string
Model publisher to filter models by
modelName
string
Model name (the publisher specific name) to filter models by
deploymentType
string | enum
Type of deployment to filter list by
以下任何项:
string
enum
ModelDeployment
标头参数
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
响应
The request has succeeded.
标头
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
正文
Content-Type: application/json
value
Deployment[]
必需
The Deployment items on this page
nextLink
string
The link to the next page of items
请求
GET /deployments HTTP/1.1
响应
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json